Summary: Lisp Plus Plus C++ library
Name: lpp
Version: 1.19
Release: 1
Source: http://www.interhack.net/projects/lpp/lpp-1.19.tar.gz
Patch: lpp.patch
Copyright: distributable
Group: Development/Libraries
Packager: Franklin Chen <Franklin.Chen@cs.cmu.edu>
%description
Lpp (Lisp Plus Plus) is a library of Lisp like functions and
macros usable in C++ programs.  The philosophy behind Lpp is to provide as
close as possible the semantics and style of Lisp rather than try to shape
it to a more C++ style of programming (what ever that is).  By doing things
this way the true power and flexibility of Lisp can coexist with the static
typing features of C++.  The hope is that Lpp will be useful for the
following:

- Porting Lisp programs to and from C++.
- Implementation of Embedded AI sub-systems in C++ environments.
- An alternative for Lisp programmers who need to program in C++.
- Any application where dynamically typed objects are needed in C++.

%prep
%setup -n lpp
%patch -p1

%build
./configure
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
cp lib/Lpp.hh lib/LppStream.hh rpUI/rpMenu.hh /usr/include
cp lib/binX/libLpp.a rpUI/binX/librpUI.a /usr/lib

%files
%doc README doc/COPYRIGHT doc/LppUserManual.tex doc/LppUserManual.toc
/usr/include/Lpp.hh
/usr/include/LppStream.hh
/usr/include/rpMenu.hh
/usr/lib/libLpp.a
/usr/lib/librpUI.a
